#!/usr/bin/env python3
#coding:utf-8
# Author:  Wolfram Eifler --<notiznetz@weifler.in-berlin.de>
# Purpose: Encapsulate Qt App/MainView-Voodoo into a runnable Application
# Created: 02/27/2017
# Copyright 2017, Wolfram Eifler
# Usage-Permission: GNU General Public License version 3 as published by the
# Free Software Foundation. The full text of the license is availabe
# in this distribution in the file licenses/gpl-v3.txt or
# via internet at http://www.gnu.org/licenses/gpl-3.0.html
"""
Encapsulate Qt App/MainView-Voodoo into a runnable Application
"""

import sys, os
from notiznetz.mainview import MainView
from PyQt5.QtWidgets import QApplication

class NotizNetzApplication:
    def __init__(self, argv, filename=None):
        self.app = QApplication(argv)
        self.mw = MainView()
        if filename:
            self.loadfile(filename)

    def loadfile(self, filename):
        if os.path.isfile(filename):
            self.mw.load(filename)
        else:
            sys.stderr.write("Warning: '%s' is not a file\n" % sys.argv[1])

    def createfile(self, filename):
        if not os.path.exists(filename):
            self.mw.setCurrentFilename(filename)
            self.mw.save()

    def __call__(self):
        self.mw.show()
        sys.exit(self.app.exec_())   # qt-mainloop
