#!/usr/bin/env python3
#coding:utf-8
# Author:  Wolfram Eifler --<notiznetz@weifler.in-berlin.de>
# Purpose: call main application for displaying and modifying a notesweb via cmdline
# Created: 01/22/2017
# Copyright 2017, 2021 Wolfram Eifler
# Usage-Permission: GNU General Public License version 3 as published by the
# Free Software Foundation. The full text of the license is availabe
# in this distribution in the file licenses/gpl-v3.txt or
# via internet at http://www.gnu.org/licenses/gpl-3.0.html
"""
call main application for displaying and modifying a notesweb via cmdline
"""

import sys, os
from notiznetz.application import NotizNetzApplication

def main():
    nzz = NotizNetzApplication(sys.argv)

    if (len(sys.argv) == 2):
        fnam = sys.argv[1]
        if not fnam.endswith('.nzz'):
            fnam = fnam + '.nzz'
        if (os.path.exists(fnam)):
            nzz.loadfile(fnam)
        else:
            nzz.createfile(fnam)
    nzz()

if __name__ == '__main__':
    main()
