#!/usr/bin/env python3
#coding:utf-8
# Author:  Wolfram Eifler --<notiznetz@weifler.in-berlin.de>
# Purpose: check preconditions, install python-package notiznetz
# Created: 02/27/2017
# Copyright 2017, 2021 Wolfram Eifler
# Usage-Permission: GNU General Public License version 3 as published by the
# Free Software Foundation. The full text of the license is availabe
# in this distribution in the file licenses/gpl-v3.txt or
# via internet at http://www.gnu.org/licenses/gpl-3.0.html
"""
Purpose: check preconditions, install python-package notiznetz
"""

import sys
from setuptools import setup
import notiznetz # for version-number from __version__

# check dependency, pyqt5 is not installable via pip
try:
    import PyQt5
except:
    sys.stderr.write("ERROR: missing dependency 'PyQt5'\n")
    sys.exit(1)

if sys.version_info < (3,5):
    sys.exit('Sorry, Python < 3.5 is not supported')

setup( version=notiznetz.__version__ )
